%{?nodejs_find_provides_and_requires}

Name:       nodejs-lru-cache
Version:    4.1.2
Release:    %mkrel 4
Summary:    A least recently used cache object for Node.js
License:    MIT
Group:      System/Libraries
URL:        https://github.com/isaacs/node-lru-cache
Source0:    https://registry.npmjs.org/lru-cache/-/lru-cache-%{version}.tgz
BuildArch:  noarch

BuildRequires:  nodejs-packaging

%description
A cache object that deletes the least recently used items.

%prep
%setup -q -n package
%nodejs_fixdep yallist ">=2"

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/lru-cache
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/lru-cache

%nodejs_symlink_deps

%files
%{nodejs_sitelib}/lru-cache
%doc README.md
%license LICENSE



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 4.1.2-4.mga10
+ Revision: 2209399
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 4.1.2-3.mga9
+ Revision: 1820187
- Mageia 9 Mass Rebuild

* Sat Jun 27 2020 joequant <joequant> 4.1.2-2.mga8
+ Revision: 1599603
- fix deps

* Wed Jun 10 2020 joequant <joequant> 4.1.2-1.mga8
+ Revision: 1591953
- update to 4.1.2

* Wed Feb 12 2020 umeabot <umeabot> 2.3.0-4.mga8
+ Revision: 1492607
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.3.0-3.mga7
+ Revision: 1265018
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 2.3.0-2.mga6
+ Revision: 950328
- Mageia 6 Mass Rebuild

* Tue Oct 28 2014 tv <tv> 2.3.0-1.mga5
+ Revision: 794123
- imported package nodejs-lru-cache


* Tue Oct 28 2014 Thierry Vignaud <tv@mageia.org> 2.3.0-1.mga5
- import from FC

* Wed Apr 03 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.3.0-1
- new upstream release 2.3.0

* Sat Feb 09 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.2.2-1
- new upstream release 2.2.2

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.2.1-2
- add missing build section
- improve summary/description

* Mon Dec 31 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.2.1-1
- new upstream release 2.2.1
- clean up for submission

* Fri Apr 27 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.1.0-2
- fix BuildRequires not present on <F17

* Wed Apr 18 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.1.0-1
- New upstream release 1.1.0

* Wed Mar 28 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.6-1
- new upstream release 1.0.6

* Sat Feb 25 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.5-1
- new upstream release 1.0.5

* Sun Dec 18 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.4-2
- add Group to make EL5 happy

* Mon Aug 22 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.4-1
- initial package
